Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interpreter

  The main REPL related classes and values are as follows.

  The main REPL related classes and values are as follows. In addition to standard compiler classes Global and Settings, there are:

  History: an interface for session history. Completion: an interface for tab completion. ILoop (formerly InterpreterLoop): The umbrella class for a session. IMain (formerly Interpreter): Handles the evolving state of the session and handles submitting code to the compiler and handling the output. InteractiveReader: how ILoop obtains input. History: an interface for session history. Completion: an interface for tab completion. Power: a repository for more advanced/experimental features.

  ILoop contains { in: InteractiveReader, intp: IMain, settings: Settings, power: Power } InteractiveReader contains { history: History, completion: Completion } IMain contains { global: Global }

  Definition Classes
    nsc
-  class Power [ReplValsImpl <: ReplVals] extends AnyRef

  A class for methods to be injected into the intp in power mode.

  A class for methods to be injected into the intp in power mode.

  Definition Classes
    interpreter
- Implicits1
- Implicits2
- InternalInfo
- InternalInfoWrapper
- LowPriorityInternalInfo
- LowPriorityInternalInfoWrapper
- LowPriorityPrettifier
- MultiPrettifierClass
- PackageSlurper
- Prettifier
- PrettifierClass
- ReplUtilities
- RichInputStream
- RichReplString
- RichReplURL
- SinglePrettifierClass
- StringPrettifier
- SymSlurper

o

scala.tools.nsc.interpreter.Power

# StringPrettifier 

###

#### object StringPrettifier extends Prettifier[String]

Source
  Power.scala

Linear Supertypes
Prettifier[String], AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. StringPrettifier
2. Prettifier
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
9.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
15.  def prettify(x: String): collection.immutable.List[String]
    Definition Classes
      StringPrettifier → Prettifier
16.  def prettify(xs: TraversableOnce[String]): TraversableOnce[String]
    Definition Classes
      Prettifier
17.  def show(x: String): Unit
    Definition Classes
      StringPrettifier → Prettifier
18.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
19.  def toString(): String
    Definition Classes
      AnyRef → Any
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Prettifier[String]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped